linux-aws (4.4.0-1012.21) xenial; urgency=low

  [ Ubuntu: 4.4.0-71.92 ]

  * CVE-2017-7184
    - xfrm_user: validate XFRM_MSG_NEWAE XFRMA_REPLAY_ESN_VAL replay_window
    - xfrm_user: validate XFRM_MSG_NEWAE incoming ESN size harder

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Fri, 24 Mar 2017 10:58:04 -0300

linux-aws (4.4.0-1011.20) xenial; urgency=low

  * linux-aws: 4.4.0-1011.20 -proposed tracker (LP: #1674944)


  [ Ubuntu: 4.4.0-70.91 ]

  * linux: 4.4.0-70.91 -proposed tracker (LP: #1674938)
  * snaps with classic + jailmode confinement started to fail on zesty
    (LP: #1666897)
    - Revert "UBUNTU: SAUCE: apparmor: fix link auditing failure due to,
      uninitialized var"
    - Revert "UBUNTU: SAUCE: fix regression with domain change in complain mode"
    - Revert "UBUNTU: SAUCE: apparmor: flock mediation is not being enforced on
      cache check"
    - Revert "UBUNTU: SAUCE: apparmor: null profiles should inherit parent control
      flags"
    - Revert "UBUNTU: SAUCE: apparmor: fix ns ref count link when removing
      profiles from policy"
    - Revert "UBUNTU: SAUCE: apparmor: Fix no_new_privs blocking change_onexec
      when using stacked namespaces"
    - Revert "UBUNTU: SAUCE: apparmor: fix oops in bind_mnt when dev_path lookup
      fails"
    - Revert "UBUNTU: SAUCE: apparmor: Don't audit denied access of special
      apparmor .null file"
    - Revert "UBUNTU: SAUCE: apparmor: fix label leak when new label is unused"
    - Revert "UBUNTU: SAUCE: apparmor: fix reference count bug in
      label_merge_insert()"
    - Revert "UBUNTU: SAUCE: apparmor: fix replacement race in reading rawdata"
    - Revert "UBUNTU: SAUCE: apparmor: fix cross ns perm of unix domain sockets"

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 22 Mar 2017 10:08:02 +0100

linux-aws (4.4.0-1009.18) xenial; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1672505

  * aufs filesystem not available in linux-aws (LP: #1672464)
    - [config] AWS: aufs.ko moved to linux-image package

 -- Kamal Mostafa <kamal@canonical.com>  Mon, 13 Mar 2017 12:13:59 -0700

linux-aws (4.4.0-1008.17) xenial; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1671237

  [ Ubuntu-4.4.0-67.88 ]

  * Recent KVM RTC cherry-picks break (some) Windows Live-Migrations
    (LP: #1668594)
    - kvm: x86: correctly reset dest_map->vector when restoring LAPIC state

  * Regression in 4.4.0-65-generic causes very frequent system crashes
    (LP: #1669611)
    - Revert "UBUNTU: SAUCE: apparmor: fix lock ordering for mkdir"
    - Revert "UBUNTU: SAUCE: apparmor: fix leak on securityfs pin count"
    - Revert "UBUNTU: SAUCE: apparmor: fix reference count leak when
      securityfs_setup_d_inode() fails"
    - Revert "UBUNTU: SAUCE: apparmor: fix not handling error case when
      securityfs_pin_fs() fails"

  * Upgrade Redpine RS9113 driver to support AP mode (LP: #1665211)
    - SAUCE: Redpine driver to support Host AP mode

  * NFS client : permission denied when trying to access subshare, since kernel
    4.4.0-31 (LP: #1649292)
    - fs: Better permission checking for submounts

  * [Hyper-V] SAUCE: pci-hyperv fixes for SR-IOV on Azure (LP: #1665097)
    - SAUCE: PCI: hv: Fix wslot_to_devfn() to fix warnings on device removal
    - SAUCE: pci-hyperv: properly handle pci bus remove
    - SAUCE: pci-hyperv: lock pci bus on device eject

  * [Hyper-V/Azure] Please include Mellanox OFED drivers in Azure kernel and
    image (LP: #1650058)
    - net/mlx4_en: Fix bad WQE issue
    - net/mlx4_core: Fix racy CQ (Completion Queue) free
    - net/mlx4_core: Fix when to save some qp context flags for dynamic VST to VGT
      transitions
    - net/mlx4_core: Avoid command timeouts during VF driver device shutdown

  * Xenial update to v4.4.49 stable release (LP: #1664960)
    - ARC: [arcompact] brown paper bag bug in unaligned access delay slot fixup
    - selinux: fix off-by-one in setprocattr
    - Revert "x86/ioapic: Restore IO-APIC irq_chip retrigger callback"
    - cpumask: use nr_cpumask_bits for parsing functions
    - hns: avoid stack overflow with CONFIG_KASAN
    - ARM: 8643/3: arm/ptrace: Preserve previous registers for short regset write
    - target: Don't BUG_ON during NodeACL dynamic -> explicit conversion
    - target: Use correct SCSI status during EXTENDED_COPY exception
    - target: Fix early transport_generic_handle_tmr abort scenario
    - target: Fix COMPARE_AND_WRITE ref leak for non GOOD status
    - ARM: 8642/1: LPAE: catch pending imprecise abort on unmask
    - mac80211: Fix adding of mesh vendor IEs
    - netvsc: Set maximum GSO size in the right place
    - scsi: zfcp: fix use-after-free by not tracing WKA port open/close on failed
      send
    - scsi: aacraid: Fix INTx/MSI-x issue with older controllers
    - scsi: mpt3sas: disable ASPM for MPI2 controllers
    - xen-netfront: Delete rx_refill_timer in xennet_disconnect_backend()
    - ALSA: seq: Fix race at creating a queue
    - ALSA: seq: Don't handle loop timeout at snd_seq_pool_done()
    - drm/i915: fix use-after-free in page_flip_completed()
    - Linux 4.4.49

  * NFS client : kernel 4.4.0-57 crash with nfsv4 enries in /etc/fstab
    (LP: #1650336)
    - SUNRPC: fix refcounting problems with auth_gss messages.

  * [0bda:0328] Card reader failed after S3 (LP: #1664809)
    - usb: hub: Wait for connection to be reestablished after port reset

  * linux-lts-xenial 4.4.0-63.84~14.04.2 ADT test failure with linux-lts-xenial
    4.4.0-63.84~14.04.2 (LP: #1664912)
    - SAUCE: apparmor: fix link auditing failure due to, uninitialized var

  * ibmvscsis: Add SGL LIMIT (LP: #1662551)
    - ibmvscsis: Add SGL limit

  * [Hyper-V] Bug fixes for storvsc (tagged queuing, error conditions)
    (LP: #1663687)
    - scsi: storvsc: Enable tracking of queue depth
    - scsi: storvsc: Remove the restriction on max segment size
    - scsi: storvsc: Enable multi-queue support
    - scsi: storvsc: use tagged SRB requests if supported by the device
    - scsi: storvsc: properly handle SRB_ERROR when sense message is present
    - scsi: storvsc: properly set residual data length on errors

  * ISST-LTE:pNV: ppc64_cpu command is hung w HDs, SSDs and NVMe (LP: #1662666)
    - blk-mq: Avoid memory reclaim when remapping queues
    - blk-mq: Fix failed allocation path when mapping queues

  * Possible missing firmware /lib/firmware/i915/kbl_dmc_ver1.bin for module
    i915_bpo (LP: #1624164)
    - SAUCE: i915_bpo: Remove MODULE_FIRMWARE statement for i915/kbl_dmc_ver1.bin

  *  Intel I210 ethernet does not work both after S3 (LP: #1662763)
    - igb: implement igb_ptp_suspend
    - igb: call igb_ptp_suspend during suspend/resume cycle

  * [Hyper-V] Fix ring buffer handling to avoid host throttling (LP: #1661430)
    - Drivers: hv: vmbus: On write cleanup the logic to interrupt the host
    - Drivers: hv: vmbus: On the read path cleanup the logic to interrupt the host
    - Drivers: hv: vmbus: finally fix hv_need_to_signal_on_read()

  * brd module compiled as built-in (LP: #1593293)
    - [Config] CONFIG_BLK_DEV_RAM=m

  * regession tests failing after stackprofile test is run (LP: #1661030)
    - SAUCE: fix regression with domain change in complain mode

  * Permission denied and inconsistent behavior in complain mode with 'ip netns
    list' command (LP: #1648903)
    - SAUCE: fix regression with domain change in complain mode

  * flock not mediated by 'k' (LP: #1658219)
    - SAUCE: apparmor: flock mediation is not being enforced on cache check

  * unexpected errno=13 and disconnected path when trying to open /proc/1/ns/mnt
    from a unshared mount namespace (LP: #1656121)
    - SAUCE: apparmor: null profiles should inherit parent control flags

  * apparmor refcount leak of profile namespace when removing profiles
    (LP: #1660849)
    - SAUCE: apparmor: fix ns ref count link when removing profiles from policy

  * tor in lxd: apparmor="DENIED" operation="change_onexec"
    namespace="root//CONTAINERNAME_<var-lib-lxd>" profile="unconfined"
    name="system_tor" (LP: #1648143)
    - SAUCE: apparmor: Fix no_new_privs blocking change_onexec when using stacked
      namespaces

  * apparmor_parser hangs indefinitely when called by multiple threads
    (LP: #1645037)
    - SAUCE: apparmor: fix lock ordering for mkdir

  * apparmor leaking securityfs pin count (LP: #1660846)
    - SAUCE: apparmor: fix leak on securityfs pin count

  * apparmor reference count leak when securityfs_setup_d_inode () fails
    (LP: #1660845)
    - SAUCE: apparmor: fix reference count leak when securityfs_setup_d_inode()
      fails

  * apparmor not checking error if security_pin_fs() fails (LP: #1660842)
    - SAUCE: apparmor: fix not handling error case when securityfs_pin_fs() fails

  * apparmor oops in bind_mnt when dev_path lookup fails (LP: #1660840)
    - SAUCE: apparmor: fix oops in bind_mnt when dev_path lookup fails

  * apparmor  auditing denied access of special apparmor .null fi le
    (LP: #1660836)
    - SAUCE: apparmor: Don't audit denied access of special apparmor .null file

  * apparmor label leak when new label is unused (LP: #1660834)
    - SAUCE: apparmor: fix label leak when new label is unused

  * apparmor reference count bug in label_merge_insert() (LP: #1660833)
    - SAUCE: apparmor: fix reference count bug in label_merge_insert()

  * apparmor's raw_data file in securityfs is sometimes truncated (LP: #1638996)
    - SAUCE: apparmor: fix replacement race in reading rawdata

  * unix domain socket cross permission check failing with nested namespaces
    (LP: #1660832)
    - SAUCE: apparmor: fix cross ns perm of unix domain sockets

  * docker permission issues with overlay2 storage driver (LP: #1659417)
    - SAUCE: overlayfs: Replace ovl_prepare_creds() with ovl_override_creds()
    - Revert "UBUNTU: SAUCE: cred: Add clone_cred() interface"
    - ovl: check mounter creds on underlying lookup

  * Enable CONFIG_NET_DROP_MONITOR=m in Ubuntu Kernel (LP: #1660634)
    - [Config] CONFIG_NET_DROP_MONITOR=m

  * Xenial update to v4.4.48 stable release (LP: #1663657)
    - PCI/ASPM: Handle PCI-to-PCIe bridges as roots of PCIe hierarchies
    - ext4: validate s_first_meta_bg at mount time
    - drm/nouveau/disp/gt215: Fix HDA ELD handling (thus, HDMI audio) on gt215
    - drm/nouveau/nv1a,nv1f/disp: fix memory clock rate retrieval
    - crypto: api - Clear CRYPTO_ALG_DEAD bit before registering an alg
    - crypto: arm64/aes-blk - honour iv_out requirement in CBC and CTR modes
    - perf/core: Fix PERF_RECORD_MMAP2 prot/flags for anonymous memory
    - ata: sata_mv:- Handle return value of devm_ioremap.
    - libata: apply MAX_SEC_1024 to all CX1-JB*-HP devices
    - powerpc/eeh: Fix wrong flag passed to eeh_unfreeze_pe()
    - powerpc: Add missing error check to prom_find_boot_cpu()
    - NFSD: Fix a null reference case in find_or_create_lock_stateid()
    - svcrpc: fix oops in absence of krb5 module
    - zswap: disable changing params if init fails
    - cifs: initialize file_info_lock
    - mm/memory_hotplug.c: check start_pfn in test_pages_in_a_zone()
    - mm, fs: check for fatal signals in do_generic_file_read()
    - can: bcm: fix hrtimer/tasklet termination in bcm op removal
    - mmc: sdhci: Ignore unexpected CARD_INT interrupts
    - percpu-refcount: fix reference leak during percpu-atomic transition
    - HID: wacom: Fix poor prox handling in 'wacom_pl_irq'
    - KVM: x86: do not save guest-unsupported XSAVE state
    - USB: serial: qcserial: add Dell DW5570 QDL
    - USB: serial: pl2303: add ATEN device ID
    - USB: Add quirk for WORLDE easykey.25 MIDI keyboard
    - usb: gadget: f_fs: Assorted buffer overflow checks.
    - USB: serial: option: add device ID for HP lt2523 (Novatel E371)
    - x86/irq: Make irq activate operations symmetric
    - base/memory, hotplug: fix a kernel oops in show_valid_zones()
    - Linux 4.4.48

  * Xenial update to v4.4.47 stable release (LP: #1662507)
    - r8152: fix the sw rx checksum is unavailable
    - mlxsw: spectrum: Fix memory leak at skb reallocation
    - mlxsw: switchx2: Fix memory leak at skb reallocation
    - mlxsw: pci: Fix EQE structure definition
    - net: lwtunnel: Handle lwtunnel_fill_encap failure
    - net: ipv4: fix table id in getroute response
    - net: systemport: Decouple flow control from __bcm_sysport_tx_reclaim
    - tcp: fix tcp_fastopen unaligned access complaints on sparc
    - openvswitch: maintain correct checksum state in conntrack actions
    - ravb: do not use zero-length alignment DMA descriptor
    - ax25: Fix segfault after sock connection timeout
    - net: fix harmonize_features() vs NETIF_F_HIGHDMA
    - net: phy: bcm63xx: Utilize correct config_intr function
    - ipv6: addrconf: Avoid addrconf_disable_change() using RCU read-side lock
    - tcp: initialize max window for a new fastopen socket
    - bridge: netlink: call br_changelink() during br_dev_newlink()
    - r8152: don't execute runtime suspend if the tx is not empty
    - af_unix: move unix_mknod() out of bindlock
    - qmi_wwan/cdc_ether: add device ID for HP lt2523 (Novatel E371) WWAN card
    - net: dsa: Bring back device detaching in dsa_slave_suspend()
    - Linux 4.4.47

  * Xenial update to v4.4.46 stable release (LP: #1660994)
    - fbdev: color map copying bounds checking
    - tile/ptrace: Preserve previous registers for short regset write
    - drm: Fix broken VT switch with video=1366x768 option
    - mm/mempolicy.c: do not put mempolicy before using its nodemask
    - sysctl: fix proc_doulongvec_ms_jiffies_minmax()
    - ISDN: eicon: silence misleading array-bounds warning
    - RDMA/cma: Fix unknown symbol when CONFIG_IPV6 is not enabled
    - s390/ptrace: Preserve previous registers for short regset write
    - can: c_can_pci: fix null-pointer-deref in c_can_start() - set device pointer
    - can: ti_hecc: add missing prepare and unprepare of the clock
    - ARC: udelay: fix inline assembler by adding LP_COUNT to clobber list
    - ARC: [arcompact] handle unaligned access delay slot corner case
    - parisc: Don't use BITS_PER_LONG in userspace-exported swab.h header
    - nfs: Don't increment lock sequence ID after NFS4ERR_MOVED
    - NFSv4.0: always send mode in SETATTR after EXCLUSIVE4
    - SUNRPC: cleanup ida information when removing sunrpc module
    - drm/i915: Don't leak edid in intel_crt_detect_ddc()
    - IB/ipoib: move back IB LL address into the hard header
    - IB/umem: Release pid in error and ODP flow
    - s5k4ecgx: select CRC32 helper
    - pinctrl: broxton: Use correct PADCFGLOCK offset
    - platform/x86: intel_mid_powerbtn: Set IRQ_ONESHOT
    - mm, memcg: do not retry precharge charges
    - Linux 4.4.46

  * Xenial update to v4.4.45 stable release (LP: #1660993)
    - ftrace/x86: Set ftrace_stub to weak to prevent gcc from using short jumps to
      it
    - IB/mlx5: Wait for all async command completions to complete
    - IB/mlx4: Set traffic class in AH
    - IB/mlx4: Fix out-of-range array index in destroy qp flow
    - IB/mlx4: Fix port query for 56Gb Ethernet links
    - IB/mlx4: When no DMFS for IPoIB, don't allow NET_IF QPs
    - IB/IPoIB: Remove can't use GFP_NOIO warning
    - perf scripting: Avoid leaking the scripting_context variable
    - ARM: dts: imx31: fix clock control module interrupts description
    - ARM: dts: imx31: move CCM device node to AIPS2 bus devices
    - ARM: dts: imx31: fix AVIC base address
    - tmpfs: clear S_ISGID when setting posix ACLs
    - x86/PCI: Ignore _CRS on Supermicro X8DTH-i/6/iF/6F
    - svcrpc: don't leak contexts on PROC_DESTROY
    - fuse: clear FR_PENDING flag when moving requests out of pending queue
    - PCI: Enumerate switches below PCI-to-PCIe bridges
    - HID: corsair: fix DMA buffers on stack
    - HID: corsair: fix control-transfer error handling
    - mmc: mxs-mmc: Fix additional cycles after transmission stop
    - ieee802154: atusb: do not use the stack for buffers to make them DMA able
    - mtd: nand: xway: disable module support
    - x86/ioapic: Restore IO-APIC irq_chip retrigger callback
    - qla2xxx: Fix crash due to null pointer access
    - ubifs: Fix journal replay wrt. xattr nodes
    - clocksource/exynos_mct: Clear interrupt when cpu is shut down
    - svcrdma: avoid duplicate dma unmapping during error recovery
    - ARM: 8634/1: hw_breakpoint: blacklist Scorpion CPUs
    - ceph: fix bad endianness handling in parse_reply_info_extra
    - ARM: dts: da850-evm: fix read access to SPI flash
    - arm64/ptrace: Preserve previous registers for short regset write
    - arm64/ptrace: Preserve previous registers for short regset write - 2
    - arm64/ptrace: Preserve previous registers for short regset write - 3
    - arm64/ptrace: Avoid uninitialised struct padding in fpr_set()
    - arm64/ptrace: Reject attempts to set incomplete hardware breakpoint fields
    - ARM: dts: imx6qdl-nitrogen6_max: fix sgtl5000 pinctrl init
    - ARM: ux500: fix prcmu_is_cpu_in_wfi() calculation
    - ARM: 8613/1: Fix the uaccess crash on PB11MPCore
    - blackfin: check devm_pinctrl_get() for errors
    - ite-cir: initialize use_demodulator before using it
    - dmaengine: pl330: Fix runtime PM support for terminated transfers
    - selftest/powerpc: Wrong PMC initialized in pmc56_overflow test
    - arm64: avoid returning from bad_mode
    - Linux 4.4.45

  [ Ubuntu: 4.4.0-66.87 ]

  * CVE-2017-2636
    - TTY: n_hdlc, fix lockdep false positive
    - tty: n_hdlc: get rid of racy n_hdlc.tbuf

 -- Kamal Mostafa <kamal@canonical.com>  Wed, 08 Mar 2017 12:06:04 -0800

linux-aws (4.4.0-1006.15) xenial; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1669890

  * Amazon I3 Instance Buffer I/O error on dev nvme0n1  (LP: #1668129)
    - [Config] AWS: CONFIG_XEN_BALLOON=n

 -- Kamal Mostafa <kamal@canonical.com>  Fri, 24 Feb 2017 11:06:38 -0800

linux-aws (4.4.0-1005.14) xenial; urgency=low

  * linux-aws: 4.4.0-1005.14 -proposed tracker (LP: #1667061)

  * Update ENA driver to 1.1.2 from net-next (LP: #1664312)
    - net: ena: Remove unnecessary pci_set_drvdata()
    - net: ena: Fix error return code in ena_device_init()
    - net: ena: change the return type of ena_set_push_mode() to be void.
    - net: ena: use setup_timer() and mod_timer()
    - net/ena: remove ntuple filter support from device feature list
    - net/ena: fix queues number calculation
    - net/ena: fix ethtool RSS flow configuration
    - net/ena: fix RSS default hash configuration
    - net/ena: fix NULL dereference when removing the driver after device reset
      failed
    - net/ena: refactor ena_get_stats64 to be atomic context safe
    - net/ena: fix potential access to freed memory during device reset
    - net/ena: use READ_ONCE to access completion descriptors
    - net/ena: reduce the severity of ena printouts
    - net/ena: change driver's default timeouts
    - net/ena: change condition for host attribute configuration
    - net/ena: update driver version to 1.1.2

  [ Ubuntu: 4.4.0-65.86 ]

  * linux: 4.4.0-65.86 -proposed tracker (LP: #1667052)
  * Upgrade Redpine RS9113 driver to support AP mode (LP: #1665211)
    - SAUCE: Redpine driver to support Host AP mode
  * NFS client : permission denied when trying to access subshare, since kernel
    4.4.0-31 (LP: #1649292)
    - fs: Better permission checking for submounts
  * [Hyper-V] SAUCE: pci-hyperv fixes for SR-IOV on Azure (LP: #1665097)
    - SAUCE: PCI: hv: Fix wslot_to_devfn() to fix warnings on device removal
    - SAUCE: pci-hyperv: properly handle pci bus remove
    - SAUCE: pci-hyperv: lock pci bus on device eject
  * [Hyper-V/Azure] Please include Mellanox OFED drivers in Azure kernel and
    image (LP: #1650058)
    - net/mlx4_en: Fix bad WQE issue
    - net/mlx4_core: Fix racy CQ (Completion Queue) free
    - net/mlx4_core: Fix when to save some qp context flags for dynamic VST to VGT
      transitions
    - net/mlx4_core: Avoid command timeouts during VF driver device shutdown
  * Xenial update to v4.4.49 stable release (LP: #1664960)
    - ARC: [arcompact] brown paper bag bug in unaligned access delay slot fixup
    - selinux: fix off-by-one in setprocattr
    - Revert "x86/ioapic: Restore IO-APIC irq_chip retrigger callback"
    - cpumask: use nr_cpumask_bits for parsing functions
    - hns: avoid stack overflow with CONFIG_KASAN
    - ARM: 8643/3: arm/ptrace: Preserve previous registers for short regset write
    - target: Don't BUG_ON during NodeACL dynamic -> explicit conversion
    - target: Use correct SCSI status during EXTENDED_COPY exception
    - target: Fix early transport_generic_handle_tmr abort scenario
    - target: Fix COMPARE_AND_WRITE ref leak for non GOOD status
    - ARM: 8642/1: LPAE: catch pending imprecise abort on unmask
    - mac80211: Fix adding of mesh vendor IEs
    - netvsc: Set maximum GSO size in the right place
    - scsi: zfcp: fix use-after-free by not tracing WKA port open/close on failed
      send
    - scsi: aacraid: Fix INTx/MSI-x issue with older controllers
    - scsi: mpt3sas: disable ASPM for MPI2 controllers
    - xen-netfront: Delete rx_refill_timer in xennet_disconnect_backend()
    - ALSA: seq: Fix race at creating a queue
    - ALSA: seq: Don't handle loop timeout at snd_seq_pool_done()
    - drm/i915: fix use-after-free in page_flip_completed()
    - Linux 4.4.49
  * NFS client : kernel 4.4.0-57 crash with nfsv4 enries in /etc/fstab
    (LP: #1650336)
    - SUNRPC: fix refcounting problems with auth_gss messages.
  * [0bda:0328] Card reader failed after S3 (LP: #1664809)
    - usb: hub: Wait for connection to be reestablished after port reset
  * linux-lts-xenial 4.4.0-63.84~14.04.2 ADT test failure with linux-lts-xenial
    4.4.0-63.84~14.04.2 (LP: #1664912)
    - SAUCE: apparmor: fix link auditing failure due to, uninitialized var
  * ibmvscsis: Add SGL LIMIT (LP: #1662551)
    - ibmvscsis: Add SGL limit
  * [Hyper-V] Bug fixes for storvsc (tagged queuing, error conditions)
    (LP: #1663687)
    - scsi: storvsc: Enable tracking of queue depth
    - scsi: storvsc: Remove the restriction on max segment size
    - scsi: storvsc: Enable multi-queue support
    - scsi: storvsc: use tagged SRB requests if supported by the device
    - scsi: storvsc: properly handle SRB_ERROR when sense message is present
    - scsi: storvsc: properly set residual data length on errors
  * ISST-LTE:pNV: ppc64_cpu command is hung w HDs, SSDs and NVMe (LP: #1662666)
    - blk-mq: Avoid memory reclaim when remapping queues
    - blk-mq: Fix failed allocation path when mapping queues
  * Possible missing firmware /lib/firmware/i915/kbl_dmc_ver1.bin for module
    i915_bpo (LP: #1624164)
    - SAUCE: i915_bpo: Remove MODULE_FIRMWARE statement for i915/kbl_dmc_ver1.bin
  *  Intel I210 ethernet does not work both after S3 (LP: #1662763)
    - igb: implement igb_ptp_suspend
    - igb: call igb_ptp_suspend during suspend/resume cycle
  * [Hyper-V] Fix ring buffer handling to avoid host throttling (LP: #1661430)
    - Drivers: hv: vmbus: On write cleanup the logic to interrupt the host
    - Drivers: hv: vmbus: On the read path cleanup the logic to interrupt the host
    - Drivers: hv: vmbus: finally fix hv_need_to_signal_on_read()
  * brd module compiled as built-in (LP: #1593293)
    - [Config] CONFIG_BLK_DEV_RAM=m
  * regession tests failing after stackprofile test is run (LP: #1661030)
    - SAUCE: fix regression with domain change in complain mode
  * Permission denied and inconsistent behavior in complain mode with 'ip netns
    list' command (LP: #1648903)
    - SAUCE: fix regression with domain change in complain mode
  * flock not mediated by 'k' (LP: #1658219)
    - SAUCE: apparmor: flock mediation is not being enforced on cache check
  * unexpected errno=13 and disconnected path when trying to open /proc/1/ns/mnt
    from a unshared mount namespace (LP: #1656121)
    - SAUCE: apparmor: null profiles should inherit parent control flags
  * apparmor refcount leak of profile namespace when removing profiles
    (LP: #1660849)
    - SAUCE: apparmor: fix ns ref count link when removing profiles from policy
  * tor in lxd: apparmor="DENIED" operation="change_onexec"
    namespace="root//CONTAINERNAME_<var-lib-lxd>" profile="unconfined"
    name="system_tor" (LP: #1648143)
    - SAUCE: apparmor: Fix no_new_privs blocking change_onexec when using stacked
      namespaces
  * apparmor_parser hangs indefinitely when called by multiple threads
    (LP: #1645037)
    - SAUCE: apparmor: fix lock ordering for mkdir
  * apparmor leaking securityfs pin count (LP: #1660846)
    - SAUCE: apparmor: fix leak on securityfs pin count
  * apparmor reference count leak when securityfs_setup_d_inode () fails
    (LP: #1660845)
    - SAUCE: apparmor: fix reference count leak when securityfs_setup_d_inode()
      fails
  * apparmor not checking error if security_pin_fs() fails (LP: #1660842)
    - SAUCE: apparmor: fix not handling error case when securityfs_pin_fs() fails
  * apparmor oops in bind_mnt when dev_path lookup fails (LP: #1660840)
    - SAUCE: apparmor: fix oops in bind_mnt when dev_path lookup fails
  * apparmor  auditing denied access of special apparmor .null fi le
    (LP: #1660836)
    - SAUCE: apparmor: Don't audit denied access of special apparmor .null file
  * apparmor label leak when new label is unused (LP: #1660834)
    - SAUCE: apparmor: fix label leak when new label is unused
  * apparmor reference count bug in label_merge_insert() (LP: #1660833)
    - SAUCE: apparmor: fix reference count bug in label_merge_insert()
  * apparmor's raw_data file in securityfs is sometimes truncated (LP: #1638996)
    - SAUCE: apparmor: fix replacement race in reading rawdata
  * unix domain socket cross permission check failing with nested namespaces
    (LP: #1660832)
    - SAUCE: apparmor: fix cross ns perm of unix domain sockets
  * docker permission issues with overlay2 storage driver (LP: #1659417)
    - SAUCE: overlayfs: Replace ovl_prepare_creds() with ovl_override_creds()
    - Revert "UBUNTU: SAUCE: cred: Add clone_cred() interface"
    - ovl: check mounter creds on underlying lookup
  * Enable CONFIG_NET_DROP_MONITOR=m in Ubuntu Kernel (LP: #1660634)
    - [Config] CONFIG_NET_DROP_MONITOR=m
  * Xenial update to v4.4.48 stable release (LP: #1663657)
    - PCI/ASPM: Handle PCI-to-PCIe bridges as roots of PCIe hierarchies
    - ext4: validate s_first_meta_bg at mount time
    - drm/nouveau/disp/gt215: Fix HDA ELD handling (thus, HDMI audio) on gt215
    - drm/nouveau/nv1a,nv1f/disp: fix memory clock rate retrieval
    - crypto: api - Clear CRYPTO_ALG_DEAD bit before registering an alg
    - crypto: arm64/aes-blk - honour iv_out requirement in CBC and CTR modes
    - perf/core: Fix PERF_RECORD_MMAP2 prot/flags for anonymous memory
    - ata: sata_mv:- Handle return value of devm_ioremap.
    - libata: apply MAX_SEC_1024 to all CX1-JB*-HP devices
    - powerpc/eeh: Fix wrong flag passed to eeh_unfreeze_pe()
    - powerpc: Add missing error check to prom_find_boot_cpu()
    - NFSD: Fix a null reference case in find_or_create_lock_stateid()
    - svcrpc: fix oops in absence of krb5 module
    - zswap: disable changing params if init fails
    - cifs: initialize file_info_lock
    - mm/memory_hotplug.c: check start_pfn in test_pages_in_a_zone()
    - mm, fs: check for fatal signals in do_generic_file_read()
    - can: bcm: fix hrtimer/tasklet termination in bcm op removal
    - mmc: sdhci: Ignore unexpected CARD_INT interrupts
    - percpu-refcount: fix reference leak during percpu-atomic transition
    - HID: wacom: Fix poor prox handling in 'wacom_pl_irq'
    - KVM: x86: do not save guest-unsupported XSAVE state
    - USB: serial: qcserial: add Dell DW5570 QDL
    - USB: serial: pl2303: add ATEN device ID
    - USB: Add quirk for WORLDE easykey.25 MIDI keyboard
    - usb: gadget: f_fs: Assorted buffer overflow checks.
    - USB: serial: option: add device ID for HP lt2523 (Novatel E371)
    - x86/irq: Make irq activate operations symmetric
    - base/memory, hotplug: fix a kernel oops in show_valid_zones()
    - Linux 4.4.48
  * Xenial update to v4.4.47 stable release (LP: #1662507)
    - r8152: fix the sw rx checksum is unavailable
    - mlxsw: spectrum: Fix memory leak at skb reallocation
    - mlxsw: switchx2: Fix memory leak at skb reallocation
    - mlxsw: pci: Fix EQE structure definition
    - net: lwtunnel: Handle lwtunnel_fill_encap failure
    - net: ipv4: fix table id in getroute response
    - net: systemport: Decouple flow control from __bcm_sysport_tx_reclaim
    - tcp: fix tcp_fastopen unaligned access complaints on sparc
    - openvswitch: maintain correct checksum state in conntrack actions
    - ravb: do not use zero-length alignment DMA descriptor
    - ax25: Fix segfault after sock connection timeout
    - net: fix harmonize_features() vs NETIF_F_HIGHDMA
    - net: phy: bcm63xx: Utilize correct config_intr function
    - ipv6: addrconf: Avoid addrconf_disable_change() using RCU read-side lock
    - tcp: initialize max window for a new fastopen socket
    - bridge: netlink: call br_changelink() during br_dev_newlink()
    - r8152: don't execute runtime suspend if the tx is not empty
    - af_unix: move unix_mknod() out of bindlock
    - qmi_wwan/cdc_ether: add device ID for HP lt2523 (Novatel E371) WWAN card
    - net: dsa: Bring back device detaching in dsa_slave_suspend()
    - Linux 4.4.47
  * Xenial update to v4.4.46 stable release (LP: #1660994)
    - fbdev: color map copying bounds checking
    - tile/ptrace: Preserve previous registers for short regset write
    - drm: Fix broken VT switch with video=1366x768 option
    - mm/mempolicy.c: do not put mempolicy before using its nodemask
    - sysctl: fix proc_doulongvec_ms_jiffies_minmax()
    - ISDN: eicon: silence misleading array-bounds warning
    - RDMA/cma: Fix unknown symbol when CONFIG_IPV6 is not enabled
    - s390/ptrace: Preserve previous registers for short regset write
    - can: c_can_pci: fix null-pointer-deref in c_can_start() - set device pointer
    - can: ti_hecc: add missing prepare and unprepare of the clock
    - ARC: udelay: fix inline assembler by adding LP_COUNT to clobber list
    - ARC: [arcompact] handle unaligned access delay slot corner case
    - parisc: Don't use BITS_PER_LONG in userspace-exported swab.h header
    - nfs: Don't increment lock sequence ID after NFS4ERR_MOVED
    - NFSv4.0: always send mode in SETATTR after EXCLUSIVE4
    - SUNRPC: cleanup ida information when removing sunrpc module
    - drm/i915: Don't leak edid in intel_crt_detect_ddc()
    - IB/ipoib: move back IB LL address into the hard header
    - IB/umem: Release pid in error and ODP flow
    - s5k4ecgx: select CRC32 helper
    - pinctrl: broxton: Use correct PADCFGLOCK offset
    - platform/x86: intel_mid_powerbtn: Set IRQ_ONESHOT
    - mm, memcg: do not retry precharge charges
    - Linux 4.4.46
  * Xenial update to v4.4.45 stable release (LP: #1660993)
    - ftrace/x86: Set ftrace_stub to weak to prevent gcc from using short jumps to
      it
    - IB/mlx5: Wait for all async command completions to complete
    - IB/mlx4: Set traffic class in AH
    - IB/mlx4: Fix out-of-range array index in destroy qp flow
    - IB/mlx4: Fix port query for 56Gb Ethernet links
    - IB/mlx4: When no DMFS for IPoIB, don't allow NET_IF QPs
    - IB/IPoIB: Remove can't use GFP_NOIO warning
    - perf scripting: Avoid leaking the scripting_context variable
    - ARM: dts: imx31: fix clock control module interrupts description
    - ARM: dts: imx31: move CCM device node to AIPS2 bus devices
    - ARM: dts: imx31: fix AVIC base address
    - tmpfs: clear S_ISGID when setting posix ACLs
    - x86/PCI: Ignore _CRS on Supermicro X8DTH-i/6/iF/6F
    - svcrpc: don't leak contexts on PROC_DESTROY
    - fuse: clear FR_PENDING flag when moving requests out of pending queue
    - PCI: Enumerate switches below PCI-to-PCIe bridges
    - HID: corsair: fix DMA buffers on stack
    - HID: corsair: fix control-transfer error handling
    - mmc: mxs-mmc: Fix additional cycles after transmission stop
    - ieee802154: atusb: do not use the stack for buffers to make them DMA able
    - mtd: nand: xway: disable module support
    - x86/ioapic: Restore IO-APIC irq_chip retrigger callback
    - qla2xxx: Fix crash due to null pointer access
    - ubifs: Fix journal replay wrt. xattr nodes
    - clocksource/exynos_mct: Clear interrupt when cpu is shut down
    - svcrdma: avoid duplicate dma unmapping during error recovery
    - ARM: 8634/1: hw_breakpoint: blacklist Scorpion CPUs
    - ceph: fix bad endianness handling in parse_reply_info_extra
    - ARM: dts: da850-evm: fix read access to SPI flash
    - arm64/ptrace: Preserve previous registers for short regset write
    - arm64/ptrace: Preserve previous registers for short regset write - 2
    - arm64/ptrace: Preserve previous registers for short regset write - 3
    - arm64/ptrace: Avoid uninitialised struct padding in fpr_set()
    - arm64/ptrace: Reject attempts to set incomplete hardware breakpoint fields
    - ARM: dts: imx6qdl-nitrogen6_max: fix sgtl5000 pinctrl init
    - ARM: ux500: fix prcmu_is_cpu_in_wfi() calculation
    - ARM: 8613/1: Fix the uaccess crash on PB11MPCore
    - blackfin: check devm_pinctrl_get() for errors
    - ite-cir: initialize use_demodulator before using it
    - dmaengine: pl330: Fix runtime PM support for terminated transfers
    - selftest/powerpc: Wrong PMC initialized in pmc56_overflow test
    - arm64: avoid returning from bad_mode
    - Linux 4.4.45

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Fri, 24 Feb 2017 08:43:46 -0300

linux-aws (4.4.0-1004.13) xenial; urgency=low

  [ Ubuntu: 4.4.0-64.85 ]

  * CVE-2017-6074 (LP: #1665935)
    - dccp: fix freeing skb too early for IPV6_RECVPKTINFO

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 20 Feb 2017 12:16:49 +0100

linux-aws (4.4.0-1003.12) xenial; urgency=low

  [ Benjamin M Romer]

  * Release Tracking Bug
    - LP: #1660727

  [ Kamal Mostafa ]
  
  * Miscellaneous Ubuntu changes
    - Revert "UBUNTU: [config] enable IXGBEVF_2_14_2=m instead of IXGBEVF"

 -- Benjamin M Romer <benjamin.romer@canonical.com>  Wed, 08 Feb 2017 16:23:41 -0500

linux-aws (4.4.0-1002.11) xenial; urgency=low

  [ Thadeu Lima de Souza Cascardo ]

  * Release Tracking Bug
    - LP: #1660727

  [ Ubuntu: 4.4.0-63.84 ]

  * Release Tracking Bug
    - LP: #1660704
  * Backport Dirty COW patch to prevent wineserver freeze (LP: #1658270)
    - SAUCE: mm: Respect FOLL_FORCE/FOLL_COW for thp
  * Kdump through NMI SMP and single core not working on Ubuntu16.10
    (LP: #1630924)
    - x86/hyperv: Handle unknown NMIs on one CPU when unknown_nmi_panic
    - SAUCE: hv: don't reset hv_context.tsc_page on crash
  * [regression 4.8.0-14 -> 4.8.0-17] keyboard and touchscreen lost on Acer
    Chromebook R11 (LP: #1630238)
    - [Config] CONFIG_PINCTRL_CHERRYVIEW=y
  * Call trace when testing fstat stressor on ppc64el with virtual  keyboard and
    mouse present (LP: #1652132)
    - SAUCE: HID: usbhid: Quirk a AMI virtual mouse and keyboard with ALWAYS_POLL
  * VLAN SR-IOV regression for IXGBE driver (LP: #1658491)
    - ixgbe: Force VLNCTRL.VFE to be set in all VMDq paths
  * "Out of memory" errors after upgrade to 4.4.0-59 (LP: #1655842)
    - mm, page_alloc: convert alloc_flags to unsigned
    - mm, compaction: change COMPACT_ constants into enum
    - mm, compaction: distinguish COMPACT_DEFERRED from COMPACT_SKIPPED
    - mm, compaction: simplify __alloc_pages_direct_compact feedback interface
    - mm, compaction: distinguish between full and partial COMPACT_COMPLETE
    - mm, compaction: abstract compaction feedback to helpers
    - mm, oom: protect !costly allocations some more
    - mm: consider compaction feedback also for costly allocation
    - mm, oom, compaction: prevent from should_compact_retry looping for ever for
      costly orders
    - mm, oom: protect !costly allocations some more for !CONFIG_COMPACTION
    - mm, oom: prevent premature OOM killer invocation for high order request
  * Backport 3 patches to fix bugs with AIX clients using IBMVSCSI Target Driver
    (LP: #1657194)
    - SAUCE: ibmvscsis: Fix max transfer length
    - SAUCE: ibmvscsis: fix sleeping in interrupt context
    - SAUCE: ibmvscsis: Fix srp_transfer_data fail return code
  * NVMe: adapter is missing after abnormal shutdown followed by quick reboot,
    quirk needed (LP: #1656913)
    - nvme: apply DELAY_BEFORE_CHK_RDY quirk at probe time too
  * Ubuntu 16.10 KVM SRIOV: if enable sriov while ping flood is running ping
    will stop working (LP: #1625318)
    - PCI: Do any VF BAR updates before enabling the BARs
    - PCI: Ignore BAR updates on virtual functions
    - PCI: Update BARs using property bits appropriate for type
    - PCI: Separate VF BAR updates from standard BAR updates
    - PCI: Don't update VF BARs while VF memory space is enabled
    - PCI: Remove pci_resource_bar() and pci_iov_resource_bar()
    - PCI: Decouple IORESOURCE_ROM_ENABLE and PCI_ROM_ADDRESS_ENABLE
    - PCI: Add comments about ROM BAR updating
  * Linux rtc self test fails in a VM under xenial (LP: #1649718)
    - kvm: x86: Convert ioapic->rtc_status.dest_map to a struct
    - kvm: x86: Track irq vectors in ioapic->rtc_status.dest_map
    - kvm: x86: Check dest_map->vector to match eoi signals for rtc
  * Xenial update to v4.4.44 stable release (LP: #1658091)
    - Input: xpad - use correct product id for x360w controllers
    - Input: i8042 - add Pegatron touchpad to noloop table
    - selftests: do not require bash to run netsocktests testcase
    - selftests: do not require bash for the generated test
    - mm: fix devm_memremap_pages crash, use mem_hotplug_{begin, done}
    - ocfs2: fix crash caused by stale lvb with fsdlm plugin
    - mm/hugetlb.c: fix reservation race when freeing surplus pages
    - KVM: x86: fix emulation of "MOV SS, null selector"
    - KVM: eventfd: fix NULL deref irqbypass consumer
    - jump_labels: API for flushing deferred jump label updates
    - KVM: x86: flush pending lapic jump label updates on module unload
    - KVM: x86: add Align16 instruction flag
    - KVM: x86: add asm_safe wrapper
    - KVM: x86: emulate FXSAVE and FXRSTOR
    - KVM: x86: Introduce segmented_write_std
    - nl80211: fix sched scan netlink socket owner destruction
    - USB: serial: kl5kusb105: fix line-state error handling
    - USB: serial: ch341: fix initial modem-control state
    - USB: serial: ch341: fix open error handling
    - USB: serial: ch341: fix control-message error handling
    - USB: serial: ch341: fix open and resume after B0
    - Input: elants_i2c - avoid divide by 0 errors on bad touchscreen data
    - i2c: print correct device invalid address
    - i2c: fix kernel memory disclosure in dev interface
    - xhci: fix deadlock at host remove by running watchdog correctly
    - vme: Fix wrong pointer utilization in ca91cx42_slave_get
    - mnt: Protect the mountpoint hashtable with mount_lock
    - tty/serial: atmel_serial: BUG: stop DMA from transmitting in stop_tx
    - sysrq: attach sysrq handler correctly for 32-bit kernel
    - sysctl: Drop reference added by grab_header in proc_sys_readdir
    - drm/radeon: drop verde dpm quirks
    - USB: serial: ch341: fix resume after reset
    - USB: serial: ch341: fix modem-control and B0 handling
    - x86/cpu: Fix bootup crashes by sanitizing the argument of the 'clearcpuid='
      command-line option
    - btrfs: fix locking when we put back a delayed ref that's too new
    - btrfs: fix error handling when run_delayed_extent_op fails
    - pinctrl: meson: fix gpio request disabling other modes
    - pNFS: Fix race in pnfs_wait_on_layoutreturn
    - NFS: Fix a performance regression in readdir
    - NFSv4.1: nfs4_fl_prepare_ds must be careful about reporting success.
    - cpufreq: powernv: Disable preemption while checking CPU throttling state
    - block: cfq_cpd_alloc() should use @gfp
    - ACPI / APEI: Fix NMI notification handling
    - blk-mq: Always schedule hctx->next_cpu
    - bus: vexpress-config: fix device reference leak
    - powerpc/ibmebus: Fix further device reference leaks
    - powerpc/ibmebus: Fix device reference leaks in sysfs interface
    - pinctrl: sh-pfc: Do not unconditionally support PIN_CONFIG_BIAS_DISABLE
    - Linux 4.4.44
  * Add support for RT5660 codec based sound cards on Baytrail (LP: #1657674)
    - ASoC: rt5660: add rt5660 codec driver
    - ASoC: rt5660: enable MCLK detection
    - ASoC: Intel: Atom: flip logic for gain Switch
    - SAUCE: (no-up) ASoC: rt5660: Add ACPI support
    - SAUCE: (no-up) ASoC: Intel: Support machine driver for RT5660 on Baytrail
    - [Config] CONFIG_SND_SOC_INTEL_BYTCR_RT5660_MACH=m, CONFIG_SND_SOC_RT5660=m
  * Support latest Redpine WLAN/BT RS9113 driver (LP: #1657682)
    - SAUCE: Support Redpine RS9113 WLAN/BT
    - SAUCE: Separate Redpine RS9113 WLAN/BT vendor and kernel drivers
    - SAUCE: Redpine RS9113 WLAN/BT driver ver. 0.9.7
    - SAUCE: RS9113: Use vendor driver to support WLAN/BT card on Caracalla HW
      only
    - SAUCE: RS9113: Comment out IDs from upstream driver
    - [Config] Enable CONFIG_VEN_RSI_* configs
  * [Hyper-V] netvsc: add rcu_read locked to netvsc callback (LP: #1657540)
    - netvsc: add rcu_read locking to netvsc callback
  * [Hyper-V] Rebase Hyper-V in 16.04 and 16.10 to the the upstream 4.9 kernel
    (LP: #1650059)
    - memory-hotplug: add automatic onlining policy for the newly added memory
    - hv_netvsc: Add query for initial physical link speed
    - hv_netvsc: Add handler for physical link speed change
    - hv_netvsc: Implement batching of receive completions
    - PCI: hv: Use list_move_tail() instead of list_del() + list_add_tail()
    - hv_netvsc: fix rtnl locking in callback
    - hv_netvsc: make RSS hash key static
    - hv_netvsc: use kcalloc
    - hv_netvsc: style cleanups
    - hv_netvsc: make inline functions static
    - hv_netvsc: use ARRAY_SIZE() for NDIS versions
    - hv_netvsc: make device_remove void
    - hv_netvsc: init completion during alloc
    - hv_netvsc: rearrange start_xmit
    - hv_netvsc: refactor completion function
    - hv_netvsc: make netvsc_destroy_buf void
    - hv_netvsc: make variable local
    - hv_netvsc: report vmbus name in ethtool
    - hv_netvsc: add ethtool statistics for tx packet issues
    - Drivers: hv: get rid of redundant messagecount in create_gpadl_header()
    - Drivers: hv: don't leak memory in vmbus_establish_gpadl()
    - Drivers: hv: get rid of timeout in vmbus_open()
    - Drivers: hv: utils: fix a race on userspace daemons registration
    - Drivers: hv: vmbus: fix the race when querying & updating the percpu list
    - Drivers: hv: vmbus: Enable explicit signaling policy for NIC channels
    - Drivers: hv: vmbus: Reduce the delay between retries in vmbus_post_msg()
    - Drivers: hv: vmbus: Implement a mechanism to tag the channel for low latency
    - Tools: hv: kvp: ensure kvp device fd is closed on exec
    - Drivers: hv: balloon: keep track of where ha_region starts
    - Drivers: hv: balloon: account for gaps in hot add regions
    - Drivers: hv: balloon: don't wait for ol_waitevent when memhp_auto_online is
      enabled
    - Drivers: hv: balloon: replace ha_region_mutex with spinlock
    - Drivers: hv: balloon: Use available memory value in pressure report
    - Drivers: hv: cleanup vmbus_open() for wrap around mappings
    - Drivers: hv: ring_buffer: wrap around mappings for ring buffers
    - Drivers: hv: ring_buffer: use wrap around mappings in hv_copy{from,
      to}_ringbuffer()
    - Drivers: hv: ring_buffer: count on wrap around mappings in
      get_next_pkt_raw()
    - Drivers: hv: Introduce a policy for controlling channel affinity
    - Drivers: hv: utils: Continue to poll VSS channel after handling requests.
    - Drivers: hv: utils: Check VSS daemon is listening before a hot backup
    - PCI: hv: Use zero-length array in struct pci_packet
    - PCI: hv: Use pci_function_description[0] in struct definitions
    - PCI: hv: Remove the unused 'wrk' in struct hv_pcibus_device
    - PCI: hv: Handle vmbus_sendpacket() failure in hv_compose_msi_msg()
    - PCI: hv: Handle hv_pci_generic_compl() error case
    - Revert "Drivers: hv: ring_buffer: count on wrap around mappings in
      get_next_pkt_raw()"
    - Driver: hv: vmbus: Make mmio resource local
    - Drivers: hv: vmbus: suppress some "hv_vmbus: Unknown GUID" warnings
    - Drivers: hv: utils: Rename version definitions to reflect protocol version.
    - Drivers: hv: utils: Use TimeSync samples to adjust the clock after boot.
    - Drivers: hv: utils: Support TimeSync version 4.0 protocol samples.
    - Drivers: hv: hv_util: Avoid dynamic allocation in time synch
    - Revert "hv_netvsc: make inline functions static"
    - hv_netvsc: use consume_skb
    - hv_netvsc: dev hold/put reference to VF
    - hv_netvsc: simplify callback event code
    - hv_netvsc: improve VF device matching
    - hv_netvsc: use RCU to protect vf_netdev
    - hv_netvsc: remove VF in flight counters
    - hv_netvsc: count multicast packets received
    - hv_netvsc: fix comments
    - Drivers: hv: make VMBus bus ids persistent
    - Drivers: hv: get rid of id in struct vmbus_channel
    - netvsc: fix checksum on UDP IPV6
    - netvsc: Remove mistaken udp.h inclusion.
    - net/hyperv: avoid uninitialized variable
    - Revert "hv_netvsc: report vmbus name in ethtool"
    - vmbus: make sysfs names consistent with PCI
    - netvsc: reduce maximum GSO size
    - Drivers: hv: vmbus: Base host signaling strictly on the ring state
    - tools: hv: Add a script to help bonding synthetic and VF NICs
  * Ubuntu - ibmveth: abnormally large TCP MSS value caused a TCP session to
    hang with a zero window (LP: #1655420)
    - ibmveth: set correct gso_size and gso_type
    - ibmveth: calculate gso_segs for large packets
  * netfilter regression introducing a performance slowdown in binary
    arp/ip/ip6tables (LP: #1640786)
    - netfilter: x_tables: pass xt_counters struct instead of packet counter
    - netfilter: x_tables: pass xt_counters struct to counter allocator
    - netfilter: x_tables: pack percpu counter allocations
  * Move some kernel modules to the main kernel package (part 2) (LP: #1655002)
    - [Config] Add IBM power drivers to the inclusion list
  * Xenial update to v4.4.43 stable release (LP: #1656876)
    - netvsc: reduce maximum GSO size
    - ser_gigaset: return -ENOMEM on error instead of success
    - net: vrf: Drop conntrack data after pass through VRF device on Tx
    - ipv6: handle -EFAULT from skb_copy_bits
    - net, sched: fix soft lockup in tc_classify
    - net: stmmac: Fix race between stmmac_drv_probe and stmmac_open
    - net/mlx5: Check FW limitations on log_max_qp before setting it
    - net/mlx5: Avoid shadowing numa_node
    - drop_monitor: add missing call to genlmsg_end
    - drop_monitor: consider inserted data in genlmsg_end
    - igmp: Make igmp group member RFC 3376 compliant
    - ipv4: Do not allow MAIN to be alias for new LOCAL w/ custom rules
    - r8152: split rtl8152_suspend function
    - r8152: fix rx issue for runtime suspend
    - gro: Enter slow-path if there is no tailroom
    - gro: use min_t() in skb_gro_reset_offset()
    - gro: Disable frag0 optimization on IPv6 ext headers
    - net: ipv4: Fix multipath selection with vrf
    - net: vrf: do not allow table id 0
    - HID: hid-cypress: validate length of report
    - ALSA: firewire-tascam: Fix to handle error from initialization of stream
      data
    - powerpc: Fix build warning on 32-bit PPC
    - ARM: zynq: Reserve correct amount of non-DMA RAM
    - ARM: OMAP4+: Fix bad fallthrough for cpuidle
    - spi: mvebu: fix baudrate calculation for armada variant
    - ALSA: usb-audio: Add a quirk for Plantronics BT600
    - mm/init: fix zone boundary creation
    - Linux 4.4.43
  * Xenial update to v4.4.42 stable release (LP: #1655969)
    - ALSA: hda - Fix up GPIO for ASUS ROG Ranger
    - ALSA: hda - Apply asus-mode8 fixup to ASUS X71SL
    - ALSA: usb-audio: Fix irq/process data synchronization
    - ARM: davinci: da850: don't add emac clock to lookup table twice
    - mac80211: initialize fast-xmit 'info' later
    - KVM: x86: reset MMU on KVM_SET_VCPU_EVENTS
    - KVM: MIPS: Flush KVM entry code from icache globally
    - usb: musb: core: add clear_ep_rxintr() to musb_platform_ops
    - usb: musb: dsps: implement clear_ep_rxintr() callback
    - usb: storage: unusual_uas: Add JMicron JMS56x to unusual device
    - usb: gadgetfs: restrict upper bound on device configuration size
    - USB: gadgetfs: fix unbounded memory allocation bug
    - USB: gadgetfs: fix use-after-free bug
    - USB: gadgetfs: fix checks of wTotalLength in config descriptors
    - USB: fix problems with duplicate endpoint addresses
    - USB: dummy-hcd: fix bug in stop_activity (handle ep0)
    - usb: gadget: composite: Test get_alt() presence instead of set_alt()
    - usb: dwc3: core: avoid Overflow events
    - usb: xhci: fix possible wild pointer
    - xhci: workaround for hosts missing CAS bit
    - usb: xhci: apply XHCI_PME_STUCK_QUIRK to Intel Apollo Lake
    - xhci: free xhci virtual devices with leaf nodes first
    - usb: xhci: fix return value of xhci_setup_device()
    - usb: host: xhci: Fix possible wild pointer when handling abort command
    - xhci: Handle command completion and timeout race
    - usb: xhci: hold lock over xhci_abort_cmd_ring()
    - USB: serial: omninet: fix NULL-derefs at open and disconnect
    - USB: serial: quatech2: fix sleep-while-atomic in close
    - USB: serial: pl2303: fix NULL-deref at open
    - USB: serial: keyspan_pda: verify endpoints at probe
    - USB: serial: spcp8x5: fix NULL-deref at open
    - USB: serial: io_ti: fix NULL-deref at open
    - USB: serial: io_ti: fix another NULL-deref at open
    - USB: serial: io_ti: fix I/O after disconnect
    - USB: serial: iuu_phoenix: fix NULL-deref at open
    - USB: serial: garmin_gps: fix memory leak on failed URB submit
    - USB: serial: ti_usb_3410_5052: fix NULL-deref at open
    - USB: serial: io_edgeport: fix NULL-deref at open
    - USB: serial: oti6858: fix NULL-deref at open
    - USB: serial: cyberjack: fix NULL-deref at open
    - USB: serial: kobil_sct: fix NULL-deref in write
    - USB: serial: mos7840: fix NULL-deref at open
    - USB: serial: mos7720: fix NULL-deref at open
    - USB: serial: mos7720: fix use-after-free on probe errors
    - USB: serial: mos7720: fix parport use-after-free on probe errors
    - USB: serial: mos7720: fix parallel probe
    - usb: xhci-mem: use passed in GFP flags instead of GFP_KERNEL
    - xhci: Use delayed_work instead of timer for command timeout
    - xhci: Fix race related to abort operation
    - usb: dwc3: pci: add Intel Gemini Lake PCI ID
    - usb: musb: Fix trying to free already-free IRQ 4
    - usb: hub: Move hub_port_disable() to fix warning if PM is disabled
    - usb: musb: blackfin: add bfin_fifo_offset in bfin_ops
    - ALSA: usb-audio: Fix bogus error return in snd_usb_create_stream()
    - USB: serial: kl5kusb105: abort on open exception path
    - ARM: dts: r8a7794: Correct hsusb parent clock
    - USB: phy: am335x-control: fix device and of_node leaks
    - USB: serial: io_ti: bind to interface after fw download
    - mei: bus: fix mei_cldev_enable KDoc
    - staging: iio: ad7606: fix improper setting of oversampling pins
    - usb: dwc3: gadget: always unmap EP0 requests
    - usb: dwc3: ep0: add dwc3_ep0_prepare_one_trb()
    - usb: dwc3: ep0: explicitly call dwc3_ep0_prepare_one_trb()
    - stable-fixup: hotplug: fix unused function warning
    - ath10k: use the right length of "background"
    - cris: Only build flash rescue image if CONFIG_ETRAX_AXISFLASHMAP is selected
    - hwmon: (scpi) Fix module autoload
    - hwmon: (amc6821) sign extension temperature
    - hwmon: (ds620) Fix overflows seen when writing temperature limits
    - hwmon: (nct7802) Fix overflows seen when writing into limit attributes
    - hwmon: (g762) Fix overflows and crash seen when writing limit attributes
    - clk: clk-wm831x: fix a logic error
    - clk: imx31: fix rewritten input argument of mx31_clocks_init()
    - iommu/amd: Missing error code in amd_iommu_init_device()
    - iommu/amd: Fix the left value check of cmd buffer
    - iommu/vt-d: Fix pasid table size encoding
    - iommu/vt-d: Flush old iommu caches for kdump when the device gets context
      mapped
    - ASoC: samsung: i2s: Fixup last IRQ unsafe spin lock call
    - scsi: mvsas: fix command_active typo
    - target/iscsi: Fix double free in lio_target_tiqn_addtpg()
    - irqchip/bcm7038-l1: Implement irq_cpu_offline() callback
    - PM / wakeirq: Fix dedicated wakeirq for drivers not using autosuspend
    - mmc: mmc_test: Uninitialized return value
    - s390/crypto: unlock on error in prng_tdes_read()
    - crypto: arm64/sha2-ce - fix for big endian
    - crypto: arm64/ghash-ce - fix for big endian
    - crypto: arm/aes-ce - fix for big endian
    - crypto: arm64/aes-ccm-ce: fix for big endian
    - crypto: arm64/aes-neon - fix for big endian
    - crypto: arm64/sha1-ce - fix for big endian
    - crypto: arm64/aes-xts-ce: fix for big endian
    - crypto: arm64/aes-ce - fix for big endian
    - md: MD_RECOVERY_NEEDED is set for mddev->recovery
    - powerpc/pci/rpadlpar: Fix device reference leaks
    - staging: comedi: dt282x: tidy up register bit defines
    - cred/userns: define current_user_ns() as a function
    - net: ti: cpmac: Fix compiler warning due to type confusion
    - net: vxge: avoid unused function warnings
    - cx23885-dvb: move initialization of a8293_pdata
    - drm/radeon: Always store CRTC relative radeon_crtc->cursor_x/y values
    - tick/broadcast: Prevent NULL pointer dereference
    - Revert "usb: gadget: composite: always set ep->mult to a sensible value"
    - usb: gadget: composite: always set ep->mult to a sensible value
    - Linux 4.4.42
  * Xenial update to v4.4.41 stable release (LP: #1655041)
    - ssb: Fix error routine when fallback SPROM fails
    - rtlwifi: Fix enter/exit power_save
    - cfg80211/mac80211: fix BSS leaks when abandoning assoc attempts
    - ath9k: Really fix LED polarity for some Mini PCI AR9220 MB92 cards.
    - mmc: sdhci: Fix recovery from tuning timeout
    - regulator: stw481x-vmmc: fix ages old enable error
    - timekeeping_Force_unsigned_clocksource_to_nanoseconds_conversion
    - clk: bcm2835: Avoid overwriting the div info when disabling a pll_div clk
    - thermal: hwmon: Properly report critical temperature in sysfs
    - staging: comedi: ni_mio_common: fix M Series ni_ai_insn_read() data mask
    - staging: comedi: ni_mio_common: fix E series ni_ai_insn_read() data
    - ACPI / video: Add force_native quirk for Dell XPS 17 L702X
    - ACPI / video: Add force_native quirk for HP Pavilion dv6
    - drm/nouveau/kms: lvds panel strap moved again on maxwell
    - drm/nouveau/bios: require checksum to match for fast acpi shadow method
    - drm/nouveau/ltc: protect clearing of comptags with mutex
    - drm/nouveau/fifo/gf100-: protect channel preempt with subdev mutex
    - drm/nouveau/i2c/gk110b,gm10x: use the correct implementation
    - drm/radeon: Also call cursor_move_locked when the cursor size changes
    - drm/radeon: Hide the HW cursor while it's out of bounds
    - drm/radeon: add additional pci revision to dpm workaround
    - drm/gma500: Add compat ioctl
    - drivers/gpu/drm/ast: Fix infinite loop if read fails
    - mei: request async autosuspend at the end of enumeration
    - block: protect iterate_bdevs() against concurrent close
    - vt: fix Scroll Lock LED trigger name
    - scsi: megaraid_sas: For SRIOV enabled firmware, ensure VF driver waits for
      30secs before reset
    - scsi: megaraid_sas: Do not set MPI2_TYPE_CUDA for JBOD FP path for FW which
      does not support JBOD sequence map
    - scsi: zfcp: fix use-after-"free" in FC ingress path after TMF
    - scsi: zfcp: do not trace pure benign residual HBA responses at default level
    - scsi: zfcp: fix rport unblock race with LUN recovery
    - scsi: avoid a permanent stop of the scsi device's request queue
    - ARC: mm: arc700: Don't assume 2 colours for aliasing VIPT dcache
    - firmware: fix usermode helper fallback loading
    - s390/vmlogrdr: fix IUCV buffer allocation
    - sc16is7xx: Drop bogus use of IRQF_ONESHOT
    - md/raid5: limit request size according to implementation limits
    - KVM: PPC: Book3S HV: Save/restore XER in checkpointed register state
    - KVM: PPC: Book3S HV: Don't lose hardware R/C bit updates in H_PROTECT
    - kvm: nVMX: Allow L1 to intercept software exceptions (#BP and #OF)
    - platform/x86: asus-nb-wmi.c: Add X45U quirk
    - fgraph: Handle a case where a tracer ignores set_graph_notrace
    - IB/mad: Fix an array index check
    - IPoIB: Avoid reading an uninitialized member variable
    - IB/multicast: Check ib_find_pkey() return value
    - IB/cma: Fix a race condition in iboe_addr_get_sgid()
    - media: solo6x10: fix lockup by avoiding delayed register write
    - Input: drv260x - fix input device's parent assignment
    - PCI: Check for PME in targeted sleep state
    - libceph: verify authorize reply on connect
    - nfs_write_end(): fix handling of short copies
    - powerpc/ps3: Fix system hang with GCC 5 builds
    - powerpc: Convert cmp to cmpd in idle enter sequence
    - kconfig/nconf: Fix hang when editing symbol with a long prompt
    - sg_write()/bsg_write() is not fit to be called under KERNEL_DS
    - net: mvpp2: fix dma unmapping of TX buffers for fragments
    - Linux 4.4.41

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Wed, 01 Feb 2017 15:35:06 -0200

linux-aws (4.4.0-1001.10) xenial; urgency=low

  * linux - Memory Bandwidth Monitoring regression (LP: #1648088)
    - x86/smp: Fix __max_logical_packages value setup

  * CONFIG_NR_CPUS=256 is too low (LP: #1579205)
    - [Config] Increase the NR_CPUS to 512 for amd64 to support systems with a
      large number of cores.

  * NVMe drives in Amazon AWS instance fail to initialize (LP: #1648449)
    - SAUCE: (no-up) NVMe: only setup MSIX once

  * NVMe driver accidentally reverted to use GSI instead of MSIX (LP: #1647887)
    - (fix) NVMe: restore code to always use MSI/MSI-x interrupts

  * Miscellaneous Ubuntu changes
    - Ubuntu-4.4.0-54.75
    - [debian] derive indep_hdrs_pkg_name from src_pkg_name
    - linux-aws packaging
    - SAUCE: tsc: make tsc= default to reliable for AWS
    - SAUCE: tsc: make no_timer_check default to 1 for AWS
    - SAUCE: md/raid6 algorithms: scale test duration for speedier boots
    - SAUCE: Increase the ext4 default commit age
    - SAUCE: reduce ksm-wakeups
    - SAUCE: smpboot: reuse timer calibration
    - [config] disable CONFIG_POWERCAP as AWS does not make use of this
    - SAUCE: silence RAPL
    - [config] disable CONFIG_FUJITSU_ES driver, it is not used by AWS
    - [config] Disable CONFIG_INPUT_LEDS for AWS
    - [config] Disable ATA drivers that AWS does not use
    - [config] AWS: Disable x86 platform drivers where appropriate
    - [config] disable sound for AWS
    - [config] AWS: disable unnecessary ACPI features
    - [config] AWS: Disable joystick drivers
    - [config] AWS: Disable touchscreen drivers
    - [config] AWS: disable CONFIG_MEDIA_RADIO_SUPPORT
    - [config] AWS: Disable Blue Tooth support
    - [config] AWS: disable CONFIG_MEDIA_CAMERA_SUPPORT
    - [config] AWS: disable MEDIA_ANALOG_TV_SUPPORT
    - [config] AWS: disable MEDIA_DIGITAL_TV_SUPPORT
    - [config] AWS: disable MEDIA_RC_SUPPORT
    - [config] AWS: disable MEDIA_SDR_SUPPORT
    - [config] AWS: disable MEDIA_PCI_SUPPORT
    - [config] AWS disable CONFIG_SPEAKUP synth
    - [config] AWS: disable LED support
    - [config] AWS: disable comedi data acquisition support
    - [config] AWS: disable charger configs
    - [config] AWS: disable firewire
    - [config] AWS: disable gameport
    - [config] AWS: disable CONFIG_MOUSE
    - [config] AWS: disable CONFIG_ISDN
    - [config] AWS: disable various misc LCD drivers
    - [config] AWS disable CONFIG_MACINTOSH_DRIVERS
    - [config] AWS: disable CONFIG_PCMCIA
    - [config] AWS: disable misc backlight drivers
    - [config] disable CONFIG_MTD for AWS
    - [config] AWS: disable some battery drivers
    - [config] AWS: disable WLAN wireless
    - [config] AWS: disable WIMAX support
    - [config] AWS: disable Dallas 1 wire support
    - [config] AWS: disable Ultra Wideband devices
    - [config] AWS disable FPGA support
    - SAUCE: import Intel ixgbevf (2.14.2)
    - SAUCE: ixgbevf-2.14.2: replace deprecated smp_mb__before_clear_bit
    - SAUCE: ixgbevf-2.14.2: disable VLAN tagging
    - SAUCE: ixgbevf-2.14.2: Replace deprecated u64_stats _bh calls
    - SAUCE: ixgbevf-2.14.2: fix set_ethtool_ops
    - SAUCE: ixgbevf-2.14.2: Makefile and Kconfig
    - ixgbevf-2.14.2: add support for X550 VFs
    - ixgbevf-2.14.2: add RSS support for X550
    - [config] enable IXGBEVF_2_14_2=m instead of IXGBEVF

 -- Kamal Mostafa <kamal@canonical.com>  Thu, 08 Dec 2016 12:05:21 -0800

# For older changelog entries, run 'apt-get changelog linux-aws-headers-4.4.0-1012'
